package ru.proghouse.cayenne.persistent.auto;

import org.apache.cayenne.CayenneDataObject;

import javax.jws.soap.SOAPBinding;

/**
 * Class _User was generated by Cayenne.
 * It is probably a good idea to avoid changing this class manually,
 * since it may be overwritten next time code is regenerated.
 * If you need to make any customizations, please use subclass.
 */
public abstract class _Tuser extends CayenneDataObject {

    public static final String BIRTH_DATE_PROPERTY = "birthDate";
    public static final String DESCRIPTION_PROPERTY = "description";
    public static final String FIRST_NAME_PROPERTY = "firstName";
    public static final String GENDER_PROPERTY = "gender";
    public static final String LAST_NAME_PROPERTY = "lastName";
    public static final String LOGIN_PROPERTY = "login";
    public static final String PASSWORD_PROPERTY = "password";

    public static final String USER_ID_PK_COLUMN = "user_id";

    public void setBirthDate(String birthDate) {
        writeProperty(BIRTH_DATE_PROPERTY, birthDate);
    }
    public String getBirthDate() {
        return (String)readProperty(BIRTH_DATE_PROPERTY);
    }

    public void setDescrirtion(String descrirtion) {
        writeProperty(DESCRIPTION_PROPERTY, descrirtion);
    }
    public String getDescrirtion() {
        return (String)readProperty(DESCRIPTION_PROPERTY);
    }

    public void setFirstName(String firstName) {
        writeProperty(FIRST_NAME_PROPERTY, firstName);
    }
    public String getFirstName() {
        return (String)readProperty(FIRST_NAME_PROPERTY);
    }

    public void setGender(Integer gender) {
        writeProperty(GENDER_PROPERTY, gender);
    }
    public Integer getGender() {
        return (Integer)readProperty(GENDER_PROPERTY);
    }

    public void setLastName(String lastName) {
        writeProperty(LAST_NAME_PROPERTY, lastName);
    }
    public String getLastName() {
        return (String)readProperty(LAST_NAME_PROPERTY);
    }

    public void setLogin(String login) {
        writeProperty(LOGIN_PROPERTY, login);
    }
    public String getLogin() {
        return (String)readProperty(LOGIN_PROPERTY);
    }

    public void setPassword(String password) {
        writeProperty(PASSWORD_PROPERTY, password);
    }
    public String getPassword() {
        return (String)readProperty(PASSWORD_PROPERTY);
    }

    public void setUser_id(Integer user_id) {
        writeProperty(USER_ID_PK_COLUMN, user_id);
    }
    public Integer getUser_id() {
        return (Integer)readProperty(USER_ID_PK_COLUMN);
    }

}
